Skip to main content
`Ctrl`+`K`

# EPSRegister

Adds a method to the eigenproblem solver package.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSRegister(const char *name,PetscErrorCode (*function)(EPS))

Not Collective

## Input Parameters

- name - name of a new user-defined solver

- function - routine to create the solver context

## Note

`EPSRegister()` may be called multiple times to add several user-defined solvers.

## Example Usage

       EPSRegister("my_solver",MySolverCreate);

Then, your solver can be chosen with the procedural interface via

       EPSSetType(eps,"my_solver")

or at runtime via the option `-eps_type my_solver`.

## See Also

EPS: Eigenvalue Problem Solver, `EPSRegisterAll()`

## Level

advanced

## Location

src/eps/interface/epsbasic.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages